%global momorel 1

Summary: A library for network interface configuration with DHCP
Name: 	 libdhcp
Version: 1.99.8
Release: %{momorel}m%{?dist}
License: GPL
Group: 	 Development/Libraries
URL:     http://dcantrel.fedorapeople.org/%{name}
Source:  http://dcantrel.fedorapeople.org/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: dhcp-devel >= 4.0.0, libdhcp4client-devel >= 4.0.0
BuildRequires: libdhcp6client-devel >= 1.0.2 , libnl-devel >= 1.0-0.11.0.8
BuildRequires: pkgconfig, doxygen
Obsoletes: %{name}-static

%description
libdhcp enables programs to invoke and control the
Dynamic Host Configuration Protocol (DHCP) clients:
the Internet Software Consortium (ISC) IPv4 DHCP 
client library, libdhcp4client, and the IPv6 DHCPv6
client library, libdhcp6client, and provides 
Network Interface Configuration (NIC) services for 
network parameter autoconfiguration with DHCP.

%package devel
Summary:  C header files for development with libdhcp.
Group: 	  Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libdhcp4client-devel, libdhcp6client-devel, libnl-devel

%description devel
C header files for development with libdhcp.

%prep
%setup -q

%build
rm -rf --preserve-root %{buildroot}

%configure
%make 

%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/libdhcp.la
rm -f %{buildroot}%{_libdir}/libdhcp.a

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog TODO
%{_libdir}/libdhcp-1.99.so.1
%{_libdir}/libdhcp-1.99.so.1.0.*

%files  devel
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so
%{_includedir}/libdhcp
%{_libdir}/pkgconfig/libdhcp.pc

%changelog
* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.99.8-1m)
- update 1.99.8

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.99.7-3m)
- rebuild against gcc43

* Tue Jan 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99.7-2m)
- good-bye libdhcp-static

* Mon Jan 28 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.99.7-1m)
- update 1.99.7

* Sat Jan 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.99.4-1m)
- update 1.99.4

* Fri Jan 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.99.1-1m)
- update 1.99.1

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.24-3m)
- Require libdhcp4client-static

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.24-2m)
- libdhcp.a in the libdhcp-static package

* Wed Mar 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.24-1m)
- update 1.24

* Thu Mar  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.23-1m)
- update 1.23

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.20-1m)
- update 1.20
- rebuild against libdhcp6client-0.10-7m

* Wed Feb 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19-2m)
- rebuild against libdhcp4client-3.0.5-2m

* Wed Jan 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19-1m)
- update 1.19

* Sun Oct 15 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12-1m)
- update 1.12

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6-1m)
- update 1.6

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5-1m)
- first import Momonga Linux
-- need Anaconda-11.1.x

* Wed Jun 21 2006 Jeremy Katz <katzj@redhat.com> - 1.5-2
- actually follow the timeout given instead of always using 10 seconds

* Thu Jun 15 2006 Peter Jones <pjones@redhat.com> - 1.5-1
- fix some bugs anaconda was hitting

* Thu Jun 08 2006 Jason Vas Dias <jvdias@redhat.com> - 1.3-1
- Ensure IPv6 module is loaded before invoking dhcpv6_client 
- fix segfault on free() of uninitialized 'sdns' in dhcp_nic

* Wed Jun 07 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-2
- fix bug 194377: -devel package missing Require:s. 

* Sun May 21 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-1
- numerous improvements - stopped using libnl cache at all to
  fix memory leaks.

* Sun May 14 2006 Jason Vas Dias <jvdias@redhat.com> - 1.1-1 
- Initial build.
